require "import"
import "android.widget.*"
import "android.view.*"
import "android.app.*"
import "android.content.*"
import "android.net.Uri"

-- हेल्प फंक्शन
function openHelp()
  local intent = Intent(Intent.ACTION_SENDTO)
  intent.setData(Uri.parse("mailto:kunalnimbalkar64@gmail.com"))
  activity.startActivity(intent)
end

-- चैनल सब्सक्राइब फंक्शन
function openYouTube()
  local url = "https://youtube.com/@kunalnimbalkar-qg6xu?si=tB4twB-obze9k0In"
  local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
  activity.startActivity(intent)
end

-- व्हाट्सएप ग्रुप फंक्शन
function openWhatsAppGroup()
  local url = "https://chat.whatsapp.com/C7zqJHQlI4T5XwPQbfVfqX"
  local intent = Intent(Intent.ACTION_VIEW, Uri.parse(url))
  activity.startActivity(intent)
end

-- मोर ऑप्शन डायलॉग
function showMoreOptions()
  local items = {
    "Subscribe Our Channel",
    "Help",
    "Join Our WhatsApp Group"
  }
  AlertDialog.Builder(this)
    .setTitle("More Options")
    .setItems(items, function(d, which)
      local selected = items[which + 1]
      if selected == "Subscribe Our Channel" then
        openYouTube()
      elseif selected == "Help" then
        openHelp()
      elseif selected == "Join Our WhatsApp Group" then
        openWhatsAppGroup()
      end
    end)
    .setNegativeButton("Close", nil)
    .show()
end

-- मेन स्क्रीन UI
local layout = {
  LinearLayout,
  orientation = "vertical",
  gravity = "center",
  layout_width = "match_parent",
  layout_height = "match_parent",
  padding = "16dp",
  {
    TextView,
    text = "I will come to this tool.\nDistil developed by Blind Take Kunal",
    layout_width = "wrap_content",
    layout_height = "wrap_content",
    textSize = "18sp",
    gravity = "center",
    textColor = 0xFF000000
  },
  {
    Button,
    text = "Play Game",
    layout_width = "wrap_content",
    layout_height = "wrap_content",
    onClick = function()
      local url = "https://www.qcsalon.net/en/game"
      activity.startActivity(Intent(Intent.ACTION_VIEW, Uri.parse(url)))
    end
  },
  {
    Button,
    text = "More Options",
    layout_width = "wrap_content",
    layout_height = "wrap_content",
    onClick = function()
      showMoreOptions()
    end
  }
}

activity.setContentView(loadlayout(layout))